<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.portal.search.internal.analysis.KeywordFieldQueryBuilderFactory">
  <service>
    <provide interface="com.liferay.portal.search.analysis.FieldQueryBuilderFactory"/>
  </service>
  <reference name="keywordFieldQueryBuilder" interface="com.liferay.portal.search.internal.analysis.KeywordFieldQueryBuilder" field="keywordFieldQueryBuilder"/>
  <reference name="queryPreProcessConfiguration" interface="com.liferay.portal.kernel.search.query.QueryPreProcessConfiguration" field="queryPreProcessConfiguration"/>
  <implementation class="com.liferay.portal.search.internal.analysis.KeywordFieldQueryBuilderFactory"/>
</scr:component>
